org.apache.regexp

## Class recompile

- java.lang.Object
- - org.apache.regexp.recompile

-     public class recompile
      extends java.lang.Object

  'recompile' is a command line tool that pre-compiles one or more regular expressions for use with the regular expression matcher class 'RE'. For example, the command `java org.apache.regexp.recompile re1 "a*b"` produces output like this:

          // Pre-compiled regular expression 'a*b'
          private static final char[] re1Instructions =
          {
              0x002a, 0x0000, 0x0007, 0x0041, 0x0001, 0xfffd, 0x0061,
              0x0041, 0x0001, 0x0004, 0x0062, 0x0045, 0x0000, 0x0000,
          };

          private static final REProgram re1 = new REProgram(re1Instructions);

  By pasting this output into your code, you can construct a regular expression matcher (RE) object directly from the pre-compiled data (the character array re1), thus avoiding the overhead of compiling the expression at runtime. For example:

          RE r = new RE(re1);

  Version:
    $Id: recompile.java 518156 2007-03-14 14:31:26Z vgritsenko $
  Author:
    Jonathan Locke
  See Also:
    `RE`, `RECompiler`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `recompile()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] arg)` Main application entrypoint.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### recompile

          public recompile()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] arg)

      Main application entrypoint.
      Parameters:
        `arg` - Command line arguments

Copyright © 2001-2007 Apache Software Foundation. All Rights Reserved.